// created on 2004-12-24 at 16:58

using Gtk;
using Util;
using System;
using System.IO;
using MovieDatabase;

public class Importer : Util.Windows.PleaseWaitWindow {

    private static readonly string ___Msg = "Importing movies from CSV file.";
    
    StreamReader Reader;
    MovieDB DB;
    int[] Mapping;
    char Delimiter;
    public int ImportedMovies = 0;
    
    /* Constructor and Initializer */
    public Importer(string _filename, int[] _Mapping, string _Delimiter) : base (___Msg, false) {
        
        Reader = null;
        
        try {
            Reader = System.IO.File.OpenText(_filename);
        }
        catch (Exception excp) { 
            throw new Exception ("Specified file doesn't exist or could not be opened for reading!", excp);
        }
        
        Mapping = _Mapping;
        char[] __Delims = _Delimiter.ToCharArray();
        Delimiter = __Delims[0];
    }

    
    /* Actually performs the import operation */
    public override void Start() 
    {
        string __CurrentLine;
        int __RecordsCount = 0;
        
        // TODO: Try/catch + rollback
        while ((__CurrentLine = Reader.ReadLine()) != null) {
            
            string[] __Data = __CurrentLine.Split(Delimiter);
            if (__Data.Length == Mapping.Length) {
                // TODO: __Data truncated to fields in Mapping
                // TODO: Dblize

                Movie __NewMovie = new Movie();
                int __l = 0;
                foreach (string __FieldData in __Data) {
                    __NewMovie.Data[Mapping[__l]] = __FieldData;
                    __l++;
                }
                
                __NewMovie.TrimSpaces();
                __NewMovie.Data[(int)MovieField.ADDEDDATE] = DateTime.Now.ToFileTime().ToString();
                MovieDB.AddMovie(__NewMovie);
                
                __RecordsCount++;
            } 
            
        }
        
        ImportedMovies =  __RecordsCount;
    }

    /* Closes file */
    public void CloseFile() {
        if (Reader != null) Reader.Close();
        Reader = null;
        
    }

    /* Destructor */
    ~Importer() {
        CloseFile();
        
    }
  
}
