/*
 * Copyright (C) 2004, 2005 Michael Dominic K. (http://www.mdk.org.pl)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/* REV: MDK
 * DESCRIPTION: Analyze a web page containg Filmweb search results
 */

using System;
using System.Collections;
using PluginLib;
using Util;

public class SearchResultsPage {
    
    private ArrayList ExactMatchesTitles = new ArrayList();
    private ArrayList ExactMatchesLinks = new ArrayList();
    
    private ArrayList PartialMatchesTitles = new ArrayList();
    private ArrayList PartialMatchesLinks = new ArrayList();
    
    //////////////////////////////////////////////////
    
    /* Constructor */
    public SearchResultsPage(string _WWWData)
    {
        try {
            
            // Exact matches ("dokladne trafienia")
            string __Response_ExactHits = Tags.AfterQueryInTag("dokladne trafienia", "<div", "</div>", _WWWData);
            if ( __Response_ExactHits != null && __Response_ExactHits.IndexOf("<b>filmy</b>:") != -1) {
                string[] __Response_ResultsTags = Tags.SplitTags("<td>", "</td>", __Response_ExactHits);
                
                foreach (string __Tag in __Response_ResultsTags) {
                    ExactMatchesTitles.Add(Strings.StartFromTill("<a title='", "' h", __Tag));
                    ExactMatchesLinks.Add(Strings.StartFromTill("href=\"", "\">", __Tag));
                }
            }
            
            // Partial matches ("czesciowe trafienia")
            string __Response_PartialHits = Tags.AfterQueryInTag("ciowe trafienia", "<div", "</div>", _WWWData);
            if ( __Response_PartialHits != null && __Response_PartialHits.IndexOf("<b>filmy</b>:") != -1) {
                string[] __Response_ResultsTags = Tags.SplitTags("<td>", "</td>", __Response_PartialHits);
                
                foreach (string __Tag in __Response_ResultsTags) {
                    PartialMatchesTitles.Add(Strings.StartFromTill("<a title='", "' h", __Tag));
                    PartialMatchesLinks.Add(Strings.StartFromTill("href=\"", "\">", __Tag));
                }
            }
            
        } catch {
            Console.WriteLine("EXCEPTION!");
        }
        
    }

    
    /* Return a compatible SearchResult */
    public FilmPortalPlugin.SearchResult GetSearchResult()
    {
          
        if (ExactMatchesTitles.Count > 0) {
            // We don't need partial matches
            FilmPortalPlugin.SearchResult __Result = new FilmPortalPlugin.SearchResult(ExactMatchesTitles, ExactMatchesLinks);
            return __Result;
        } else {
            if (PartialMatchesTitles.Count == 0) return new FilmPortalPlugin.SearchResult();
            else {
                // We need only partial matches
                FilmPortalPlugin.SearchResult __Result = new FilmPortalPlugin.SearchResult(PartialMatchesTitles, PartialMatchesLinks);
                return __Result;
            }
        }
        
    }



}
