/*
 * Copyright (C) 2004, 2005 Michael Dominic K. (http://www.mdk.org.pl)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/* A dialog window to slect a file by user. It's based on
 * Gtk.FileSelection with certain improvements. Most probbably we will
 * ditch that when going gtk-sharp2 
 */

using System;
using Gtk;

namespace Util.Windows {

    public class FileSelectionDialogWindow {
    
        // By default we assume aborted. Only OK button can change that.
        private bool Aborted = true;
        private string Result;
    

        /* Constructor */
        public FileSelectionDialogWindow(string _InitialPath,  string _Msg)
        {
            Debug.Message("Util.dll", "FileSelectionDialogWindow", "Starting constructor...");
            FileSelection __FileSelection = new Gtk.FileSelection(_Msg);
            if (_InitialPath != null) __FileSelection.Filename = _InitialPath;
            
            // bind the shit
            __FileSelection.Response += new ResponseHandler(On_Response);
            
            __FileSelection.Run();

            if (Aborted == true) Result = null;
                else Result = __FileSelection.Filename;

            // Let's destroy it manually
            __FileSelection.Destroy();

            Debug.Message("Util.dll", "FileSelectionDialogWindow", "Done");
        }


        /* Ok clicked */
        public void On_Response(object _O, ResponseArgs _Args)
        {
            if (_Args.ResponseId == ResponseType.Ok) Aborted = false; else
                Aborted = true;
        }

       
        public string GetResult()
        {
            return Result;
        }
    }
    

}
