/*
 * Copyright (C) 2004, 2005 Michael Dominic K. (http://www.mdk.org.pl)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/* This is a class that contains all the gconf keys (settings)
 * used throughout the program. This should not get translated 
 */

using System;
using Util;

public class GConfKeys 
{

    /* Display keys */
    public const string BorrowedColor = "/apps/monotheka/mainwindow/borrowedcolor" ;
    public const string BorrowedColor_Default = "#e13a03" ;

    public const string OverBorrowedColor = "/apps/monotheka/mainwindow/overborrowedcolor" ;
    public const string OverBorrowedColor_Default = "#c32f9c" ;

    public const string NewColor = "/apps/monotheka/mainwindow/newcolor" ;
    public const string NewColor_Default = "#0076ff" ;

    public const string DaysNew = "/apps/monotheka/mainwindow/daysnew" ;
    public const int DaysNew_Default = 14 ;        

    public const string DaysOverBorrowed = "/apps/monotheka/mainwindow/daysoverborrowed" ;
    public const int DaysOverBorrowed_Default = 21 ;        

    /* Network keys */
    
    public static readonly string UseGNOMEBrowser = "/apps/monotheka/network/UseGnomeBrowser" ;
    public static readonly bool UseGNOMEBrowser_Default = true ;

    public static readonly string UseGNOMEProxy = "/apps/monotheka/network/UseGnomeProxy" ;
    public static readonly bool UseGNOMEProxy_Default = true ;
    
    public static readonly string CustomBrowserCommand = "/apps/monotheka/network/CustomBrowser" ;
    public static readonly string CustomBrowserCommand_Default = "mozilla" ;

    public static readonly string ProxyServer = "/apps/monotheka/network/ProxyServer" ;
    public static readonly string ProxyServer_Default = "" ;

    public static readonly string ProxyPort = "/apps/monotheka/network/ProxyPort" ;
    public static readonly int ProxyPort_Default = 8080;
    
    public static readonly string ProxyUser = "/apps/monotheka/network/ProxyUser" ;
    public static readonly string ProxyUser_Default = "" ;
    
    public static readonly string ProxyPassword = "/apps/monotheka/network/ProxyPassword" ;
    public static readonly string ProxyPassword_Default = "" ;
    
    //////////////////////////////////////////////////
    
    /* Constructor */
    static GConfKeys()
    {
        Debug.Message("Util.dll", "GConfKeys", "Constructing...");
    }

    
}
